#include <utility>


#ifndef PORYGONLANG_BOUNDVARIABLE_HPP
#define PORYGONLANG_BOUNDVARIABLE_HPP

#include <memory>
#include "../../ScriptType.hpp"

using namespace std;

class BoundVariable{
    std::shared_ptr<ScriptType> _type;
public:
    explicit BoundVariable(std::shared_ptr<ScriptType> type) : _type(std::move(type)){
    }

    std::shared_ptr<ScriptType> GetType(){
        return _type;
    }
};

#endif //PORYGONLANG_BOUNDVARIABLE_HPP
