#include <utility>


#ifndef PORYGONLANG_BOUNDVARIABLEKEY_HPP
#define PORYGONLANG_BOUNDVARIABLEKEY_HPP

#include <string>

class BoundVariableKey{
    int _identifier;
    unsigned int _scopeId;
    bool _isCreation;
public:
    BoundVariableKey(int id, unsigned int scope, bool creation){
        _identifier = std::move(id);
        _scopeId = scope;
        _isCreation = creation;
    }

    int GetIdentifier(){
        return _identifier;
    }

    unsigned int GetScopeId(){
        return _scopeId;
    }

    bool IsCreation(){
        return _isCreation;
    }
};

#endif //PORYGONLANG_BOUNDVARIABLEKEY_HPP
