
#ifndef PORYGONLANG_DIAGNOSTICCODE_HPP
#define PORYGONLANG_DIAGNOSTICCODE_HPP

enum class DiagnosticCode{
    // Lex diagnostics
    UnexpectedCharacter,
    InvalidStringControlCharacter,

    // Parse diagnostics
    UnexpectedToken,

    // Bind diagnostics
    NoBinaryOperationFound,
    NoUnaryOperationFound,
    CantAssignVariable,
    VariableNotFound,
    ExpressionIsNotAFunction,
    ParameterCountMismatch,
    ParameterTypeMismatch,
};

#endif //PORYGONLANG_DIAGNOSTICCODE_HPP
