#ifndef PORYGONLANG_TOKENKIND_HPP
#define PORYGONLANG_TOKENKIND_HPP

enum class TokenKind{
    EndOfFile,
    BadToken,
    WhiteSpace,

    PlusToken,
    MinusToken,
    SlashToken,
    StarToken,
    AssignmentToken,
    EqualityToken,
    InequalityToken,
    OpenParenthesis,
    CloseParenthesis,
    CommaToken,

    Identifier,

    Integer,
    Float,
    String,

    AndKeyword,
    BreakKeyword,
    DoKeyword,
    ElseKeyword,
    ElseIfKeyword,
    EndKeyword,
    FalseKeyword,
    ForKeyword,
    FunctionKeyword,
    IfKeyword,
    InKeyword,
    LocalKeyword,
    NilKeyword,
    NotKeyword,
    OrKeyword,
    ReturnKeyword,
    ThenKeyword,
    TrueKeyword,
    WhileKeyword,
};


#endif //PORYGONLANG_TOKENKIND_HPP
