
#ifndef PORYGONLANG_TYPEDVARIABLEIDENTIFIER_HPP
#define PORYGONLANG_TYPEDVARIABLEIDENTIFIER_HPP

#include "../Utilities/HashedString.hpp"

class TypedVariableIdentifier{
    HashedString _type;
    HashedString _identifier;
public:
    TypedVariableIdentifier(HashedString type, HashedString identifier)
    : _type(type), _identifier(identifier)
    {
    }

    HashedString GetType(){
        return _type;
    }

    HashedString GetIdentifier(){
        return _identifier;
    }
};

#endif //PORYGONLANG_TYPEDVARIABLEIDENTIFIER_HPP
