
#ifndef PORYGONLANG_VARIABLEASSIGMENTRESULT_HPP
#define PORYGONLANG_VARIABLEASSIGMENTRESULT_HPP

#include "BoundVariableKey.hpp"

enum class VariableAssignmentResult{
    Ok,
    ExplicitLocalVariableExists,
    VariableDefinedWithDifferentType
};

class VariableAssignment{
    VariableAssignmentResult _result;
    BoundVariableKey* _key;
public:
    VariableAssignment(VariableAssignmentResult result, BoundVariableKey *key) {
        _result = result;
        _key = key;
    }

    VariableAssignmentResult GetResult(){
        return _result;
    }

    BoundVariableKey* GetKey(){
        return _key;
    }
};

#endif //PORYGONLANG_VARIABLEASSIGMENTRESULT_HPP
